package org.jeecg.modules.checkData.equipmentCheckData.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.checkData.equipmentCheckData.dto.RailWearRecordDTO;
import org.jeecg.modules.checkData.equipmentCheckData.entity.RailWearRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.checkData.equipmentCheckData.vo.RailWearRecordVO;
import org.jeecg.modules.checkData.equipmentCheckData.vo.UseTurnoutRecordCheckDetailVO;

/**
 * <p>
 * 检查数据-设备检查记录数据-钢轨伤损情况检查表 服务类
 * </p>
 *
 * @author hkl
 * @since 2023-07-09
 */
public interface IRailWearRecordService extends IService<RailWearRecord> {

    Page<RailWearRecordVO> queryPageList(Page<RailWearRecordVO> pageData, RailWearRecordDTO dto);

    UseTurnoutRecordCheckDetailVO getDetail(String id);
}
