package org.jeecg.modules.deviceAsset.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.deviceAsset.dto.CurveManagementDTO;
import org.jeecg.modules.deviceAsset.entity.CurveManagement;
import org.jeecg.modules.deviceAsset.mapper.CurveManagementMapper;
import org.jeecg.modules.deviceAsset.service.ICurveManagementService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.deviceAsset.vo.CurveManagementQueryVO;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 资产管理-曲线管理 服务实现类
 * </p>
 *
 * @author hkl
 * @since 2023-07-06
 */
@Service
public class CurveManagementServiceImpl extends ServiceImpl<CurveManagementMapper, CurveManagement> implements ICurveManagementService {

    @Override
    public Page<CurveManagementQueryVO> queryPageList(Page<CurveManagementQueryVO> pageData, CurveManagementDTO dto) {
        return this.baseMapper.queryPageList(pageData, dto);
    }
}
